export const form = [
  {
    fild: 'name',
    col: 'col-6',
    type: 'text',
    bind: {
      filled: true,
      label: '姓名*',
      lazyRules: true,
      hideBottomSpace: true,
      rules: [(val: any) => (val && val.length > 0) || '必填'],
    },
  },
  {
    fild: 'password',
    col: 'col-6',
    type: 'password',
    isPwd: true,
    bind: {
      filled: true,
      label: '密码*',
      lazyRules: true,
      hideBottomSpace: true,
      rules: [(val: any) => (val && val.length > 0) || '必填'],
    },
  },
  {
    fild: 'age',
    col: 'col-6',
    type: 'number',
    bind: {
      filled: true,
      label: '年龄',
    },
  },
  {
    fild: 'country',
    col: 'col-6',
    type: 'select',
    bind: {
      label: '国家*',
      filled: true,
      emitValue: true,
      mapOptions: true,
      options: [
        {
          label: '中国',
          value: 'china',
        },
        {
          label: '俄罗斯',
          value: 'russia',
        },
        {
          label: '法国',
          value: 'france',
        },
      ],
      lazyRules: true,
      hideBottomSpace: true,
      rules: [(val: any) => (val && val.length > 0) || '必填'],
      clearable: true,
    },
  },
  {
    fild: 'quantity',
    col: 'col-6',
    type: 'number',
    bind: {
      filled: true,
      label: '数量',
    },
  },
  {
    solt: 'solt2',
    col: 'col-6',
  },
  {
    fild: 'remark',
    col: 'col-12',
    type: 'textarea',
    bind: {
      filled: true,
      label: '备注',
    },
  },
  {
    solt: 'test',
    col: 'col-6',
  },
  {
    fild: 'aaa',
    col: 'col-6',
    type: 'text',
    bind: {
      label: '测试',
    },
  },
  {
    fild: 'date1',
    col: 'col-6',
    type: 'date',
    bind: {
      label: '日期1',
      filled: true,
      clearable: true,
      dateMask: 'YYYY-MM-DD HH:mm:ss',
    },
  },
  {
    fild: 'date2',
    col: 'col-6',
    type: 'date',
    bind: {
      label: '日期2',
      filled: true,
      clearable: true,
      dateMask: 'YYYY-MM-DD',
    },
  },
  {
    fild: 'dateMultiple',
    col: 'col-6',
    type: 'dateMultiple',
    bind: {
      label: '日期多选',
      filled: true,
      clearable: true,
      dateMask: 'YYYY/MM/DD',
    },
  },
  {
    fild: 'dateRange',
    col: 'col-6',
    type: 'dateRange',
    bind: {
      label: '日期范围',
      filled: true,
      clearable: true,
      dateMask: 'YYYY/MM/DD',
    },
  },
  {
    fild: 'time1',
    col: 'col-6',
    type: 'time',
    bind: {
      label: '时间1',
      filled: true,
      clearable: true,
      timeMask: 'HH:mm',
    },
  },
];
